MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w
- x

### - a -

- AlignType : draw.h
- AlphaChannelType : image.h

### - b -

- BlobMode : blob-private.h

### - c -

- CacheType : cache-private.h
- ChannelType : magick-type.h
- ClassType : magick-type.h
- ClipboardMode : display.c
- ClipPathUnits : draw.h
- ColorspaceType : colorspace.h
- CommandType : display.c , animate.c
- ComplianceType : color.h
- CompositeOperator : composite.h
- CompressionType : compress.h

### - d -

- DataType : mime-private.h
- DecorationType : draw.h
- DisposeType : layer.h
- DistortImageMethod : distort.h

### - e -

- EndianType : quantum.h
- ExceptionType : exception.h

### - f -

- FillRule : draw.h
- FilterTypes : resize.h

### - g -

- GeometryFlags : geometry.h
- GradientType : draw.h
- GravityType : geometry.h

### - i -

- ImageLayerMethod : layer.h
- ImageType : image.h
- InterlaceType : image.h
- InterpolatePixelMethod : resample.h

### - l -

- LineCap : draw.h
- LineJoin : draw.h
- LogEventType : log.h
- LogHandlerType : log.c

### - m -

- MagickBooleanType : magick-type.h
- MagickEvaluateOperator : fx.h
- MagickLayerMethod : deprecate.h
- MagickModuleType : module.h
- MagickOption : option.h
- MagickThreadSupport : magick.h
- MapMode : blob.h
- MetricType : compare.h
- ModeType : display.c
- MontageMode : montage.h

### - n -

- NoiseType : effect.h

### - o -

- OrientationType : image.h

### - p -

- PaintMethod : draw.h
- PathInfoCode : draw.c
- PathType : utility.h
- PreviewType : effect.h
- PrimitiveType : draw.h

### - q -

- QuantumFormatType : quantum.h
- QuantumType : quantum.h

### - r -

- ReferenceType : draw.h
- RegistryType : registry.h
- RenderingIntent : profile.h
- ResolutionType : image.h
- ResourceType : resource_.h

### - s -

- SpreadMethod : draw.h
- StorageType : constitute.h
- StreamType : blob.c
- StretchType : type.h
- StyleType : type.h

### - t -

- TimerState : timer.h
- TransmitType : image.h

### - v -

- VirtualPixelMethod : cache-view.h

### - w -

- WidgetState : widget.c

### - x -

- XColorFlags : xwindow.c